ApplicationState (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.gms

## Enum ApplicationState

- java.lang.Object
- - java.lang.Enum<ApplicationState>
  - - org.apache.cassandra.gms.ApplicationState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ApplicationState>

      public enum ApplicationState
      extends java.lang.Enum<ApplicationState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DC`
    `HOST_ID`
    `INTERNAL_IP`
    `LOAD`
    `NET_VERSION`
    `RACK`
    `RELEASE_VERSION`
    `REMOVAL_COORDINATOR`
    `RPC_ADDRESS`
    `RPC_READY`
    `SCHEMA`
    `SEVERITY`
    `STATUS`
    `TOKENS`
    `X_11_PADDING`
    `X1`
    `X10`
    `X2`
    `X3`
    `X4`
    `X5`
    `X6`
    `X7`
    `X8`
    `X9`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ApplicationState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATUS

          public static final ApplicationState STATUS

    - #### LOAD

          public static final ApplicationState LOAD

    - #### SCHEMA

          public static final ApplicationState SCHEMA

    - #### DC

          public static final ApplicationState DC

    - #### RACK

          public static final ApplicationState RACK

    - #### RELEASE_VERSION

          public static final ApplicationState RELEASE_VERSION

    - #### REMOVAL_COORDINATOR

          public static final ApplicationState REMOVAL_COORDINATOR

    - #### INTERNAL_IP

          public static final ApplicationState INTERNAL_IP

    - #### RPC_ADDRESS

          public static final ApplicationState RPC_ADDRESS

    - #### X_11_PADDING

          public static final ApplicationState X_11_PADDING

    - #### SEVERITY

          public static final ApplicationState SEVERITY

    - #### NET_VERSION

          public static final ApplicationState NET_VERSION

    - #### HOST_ID

          public static final ApplicationState HOST_ID

    - #### TOKENS

          public static final ApplicationState TOKENS

    - #### RPC_READY

          public static final ApplicationState RPC_READY

    - #### X1

          public static final ApplicationState X1

    - #### X2

          public static final ApplicationState X2

    - #### X3

          public static final ApplicationState X3

    - #### X4

          public static final ApplicationState X4

    - #### X5

          public static final ApplicationState X5

    - #### X6

          public static final ApplicationState X6

    - #### X7

          public static final ApplicationState X7

    - #### X8

          public static final ApplicationState X8

    - #### X9

          public static final ApplicationState X9

    - #### X10

          public static final ApplicationState X10

  - ### Method Detail

    - #### values

          public static ApplicationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApplicationState c : ApplicationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApplicationState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation